Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class AddSuperClass

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.OntologyChange
            |
            +--org.semanticweb.owl.model.change.AddSuperClass

public class AddSuperClass
extends OntologyChange

Add a superclass assertion to a class.

Version:
  $Id: AddSuperClass.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Field Summary

Fields inherited from class org.semanticweb.owl.model.change.OntologyChange
`cause, ontology`

Constructor Summary
`AddSuperClass(OWLOntology ontology, OWLClass owlClass, OWLDescription description, OntologyChange cause)`

Method Summary
`void` | `accept(ChangeVisitor visitor)` Accept a visit from a change visitor.
`OWLDescription` | `getDescription()`
`OWLClass` | `getOWLClass()` The entity that should be added.

Methods inherited from class org.semanticweb.owl.model.change.OntologyChange
`getCause, getOntology, setCause, setOntology`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddSuperClass

    public AddSuperClass(OWLOntology ontology,
                         OWLClass owlClass,
                         OWLDescription description,
                         OntologyChange cause)

Parameters:
  `ontology` - an `OWLOntology` value
  `owlClass` - the OWL class
  `description` - the equivalent concept
  `cause` - a `OntologyChange` value

Method Detail

### getOWLClass

    public OWLClass getOWLClass()

  The entity that should be added.

  Returns:
    an `OWLEntity` value

### getDescription

    public OWLDescription getDescription()

### accept

    public void accept(ChangeVisitor visitor)
                throws OWLException

  Description copied from class: `OntologyChange`
  Accept a visit from a change visitor.

  Specified by:
    `accept` in class `OntologyChange`
  Parameters:
    `visitor` - a `ChangeVisitor` value
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb